
public class Class167 implements Interface14 {

   public Interface46 anInterface46_2023;


   public void method56(Class295 var1, int var2) throws Exception_Sub1 {
      this.method57(var1.aClass169_3483, var1.method5337(this.method50(var1.aClass169_3483, 2100051861), var2, -1798492454), (byte)27);
   }

   public Class167(Class182_Sub1 var1) {
      this(var1, new Class442(var1));
   }

   public int method50(Class169 var1, int var2) {
      return this.anInterface46_2023.method264(var1.anInt2046 * -2027087877, -668497434);
   }

   public void method73(Class295 var1, int var2) throws Exception_Sub1 {
      this.method57(var1.aClass169_3483, var1.method5337(this.method50(var1.aClass169_3483, 1522219489), var2, -1234821282), (byte)-15);
   }

   public long method58(Class169 var1, int var2) {
      return this.anInterface46_2023.method247(var1.anInt2046 * -2027087877, (byte)3);
   }

   public void method59(Class169 var1, long var2) {
      this.anInterface46_2023.method248(var1.anInt2046 * -2027087877, var2);
   }

   public Object method60(Class169 var1, int var2) {
      return this.anInterface46_2023.method253(var1.anInt2046 * -2027087877, -268770722);
   }

   public void method68(Class169 var1, int var2) {
      this.anInterface46_2023.method246(var1.anInt2046 * -2027087877, var2, (byte)-32);
   }

   public int method49(Class295 var1, byte var2) {
      return var1.method5336(this.method50(var1.aClass169_3483, 1672160349), -659441241);
   }

   public void method63(Class295 var1, int var2, int var3) throws Exception_Sub1 {
      this.method57(var1.aClass169_3483, var1.method5337(this.method50(var1.aClass169_3483, 1432133133), var2, -1757959957), (byte)58);
   }

   public int method48(Class169 var1) {
      return this.anInterface46_2023.method264(var1.anInt2046 * -2027087877, -668497434);
   }

   public void method66(Class169 var1, long var2) {
      this.anInterface46_2023.method248(var1.anInt2046 * -2027087877, var2);
   }

   public void method57(Class169 var1, int var2, byte var3) {
      this.anInterface46_2023.method246(var1.anInt2046 * -2027087877, var2, (byte)-6);
   }

   public long method65(Class169 var1) {
      return this.anInterface46_2023.method247(var1.anInt2046 * -2027087877, (byte)8);
   }

   Class167(Class182_Sub1 var1, Class442 var2) {
      this.anInterface46_2023 = var2;
   }

   public void method64(Class169 var1, long var2) {
      this.anInterface46_2023.method248(var1.anInt2046 * -2027087877, var2);
   }

   public Object method72(Class169 var1) {
      return this.anInterface46_2023.method253(var1.anInt2046 * -2027087877, -1758826526);
   }

   public Object method67(Class169 var1) {
      return this.anInterface46_2023.method253(var1.anInt2046 * -2027087877, 1541640693);
   }

   public Object method69(Class169 var1) {
      return this.anInterface46_2023.method253(var1.anInt2046 * -2027087877, -555372022);
   }

   public void method70(Class169 var1, Object var2) {
      this.anInterface46_2023.method245(-2027087877 * var1.anInt2046, var2, (byte)-89);
   }

   public void method62(Class295 var1, int var2) throws Exception_Sub1 {
      this.method57(var1.aClass169_3483, var1.method5337(this.method50(var1.aClass169_3483, 601782626), var2, -1962632772), (byte)-82);
   }

   public void method71(Class295 var1, int var2) throws Exception_Sub1 {
      this.method57(var1.aClass169_3483, var1.method5337(this.method50(var1.aClass169_3483, 1139688683), var2, -473171581), (byte)41);
   }

   public void method61(Class169 var1, Object var2, int var3) {
      this.anInterface46_2023.method245(-2027087877 * var1.anInt2046, var2, (byte)-72);
   }

   public int method51(Class295 var1) {
      return var1.method5336(this.method50(var1.aClass169_3483, 1694476266), -659441241);
   }

   static final void method2859(Class124 var0, Class121 var1, Class508 var2, int var3) {
      String var4 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
      if(Class245.method4382(var4, var2, (byte)62) != null) {
         var4 = var4.substring(0, var4.length() - 1);
      }

      var0.anObjectArray1503 = Class193.method3350(var4, var2, 934638629);
      var0.aBool1520 = true;
   }

   static final void method2860(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class440.method7393(var3, var4, var0, -776729690);
   }

   static final void method2861(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      if(var2 == 0) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = (int)Math.pow((double)var2, (double)var3);
      }

   }

   static final void method2862(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class502.method8378((char)var2, (byte)69)?1:0;
   }

   static final void method2863(Class508 var0, byte var1) {
      var0.anInt6003 -= 589874838;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      if(var2 >= 2) {
         throw new RuntimeException();
      } else {
         client.anInt7762 = 1356994629 * var2;
         int var3 = var0.anIntArray6027[1 + -937710807 * var0.anInt6003];
         if(var3 + 1 >= client.anIntArrayArrayArray7752[client.anInt7762 * 1478834829].length >> 1) {
            throw new RuntimeException();
         } else {
            client.anInt7764 = 1363355821 * var3;
            client.anInt7700 = 0;
            client.anInt7767 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 2] * 108550339;
            client.anInt7930 = -277494873 * var0.anIntArray6027[-937710807 * var0.anInt6003 + 3];
            int var4 = var0.anIntArray6027[4 + -937710807 * var0.anInt6003];
            if(var4 >= 2) {
               throw new RuntimeException();
            } else {
               client.anInt7732 = var4 * -661003371;
               int var5 = var0.anIntArray6027[5 + var0.anInt6003 * -937710807];
               if(var5 + 1 >= client.anIntArrayArrayArray7752[client.anInt7732 * 1787318205].length >> 1) {
                  throw new RuntimeException();
               } else {
                  client.anInt7765 = var5 * -792879327;
                  Class225_Sub21_Sub5.anInt10087 = -2078354226;
                  Class118_Sub2.anInt8212 = 110956583;
                  Class109.anInt1086 = -887729361;
               }
            }
         }
      }
   }

   public static boolean method2864(int var0) {
      return -821727631 * Class104.anInt1025 != 0?true:Class104.aClass225_Sub12_Sub2_1026.method15731(1302788870);
   }

   static final void method2865(Class508 var0, short var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      Class464.method7830(var2, var3 >> 14 & 16383, var3 & 16383, false, -701260003);
   }

   static final void method2866(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = client.anInt7836 * 146164849;
   }
}
